.\" Copyright (c) 2001-2003 The Open Group, All Rights Reserved 
.TH "FWIDE" P 2003 "IEEE/The Open Group" "POSIX Programmer's Manual"
.\" fwide 
.SH NAME
fwide \- set stream orientation
.SH SYNOPSIS
.LP
\fB#include <stdio.h>
.br
#include <wchar.h>
.br
.sp
int fwide(FILE *\fP\fIstream\fP\fB, int\fP \fImode\fP\fB);
.br
\fP
.SH DESCRIPTION
.LP
The \fIfwide\fP() function shall determine the orientation of the
stream pointed to by \fIstream\fP. If \fImode\fP is greater
than zero, the function first attempts to make the stream wide-oriented.
If \fImode\fP is less than zero, the function first
attempts to make the stream byte-oriented. Otherwise, \fImode\fP is
zero and the function does not alter the orientation of the
stream.
.LP
If the orientation of the stream has already been determined, \fIfwide\fP()
shall not change it.
.LP
Since no return value is reserved to indicate an error, an application
wishing to check for error situations should set
\fIerrno\fP to 0, then call \fIfwide\fP(), then check \fIerrno\fP,
and if it is non-zero, assume an error has occurred. 
.SH RETURN VALUE
.LP
The \fIfwide\fP() function shall return a value greater than zero
if, after the call, the stream has wide-orientation, a value
less than zero if the stream has byte-orientation, or zero if the
stream has no orientation.
.SH ERRORS
.LP
The \fIfwide\fP() function may fail if:
.TP 7
.B EBADF
The \fIstream\fP argument is not a valid stream. 
.sp
.LP
\fIThe following sections are informative.\fP
.SH EXAMPLES
.LP
None.
.SH APPLICATION USAGE
.LP
A call to \fIfwide\fP() with \fImode\fP set to zero can be used to
determine the current orientation of a stream.
.SH RATIONALE
.LP
None.
.SH FUTURE DIRECTIONS
.LP
None.
.SH SEE ALSO
.LP
The Base Definitions volume of IEEE\ Std\ 1003.1-2001, \fI<wchar.h>\fP
.SH COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form
from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology
-- Portable Operating System Interface (POSIX), The Open Group Base
Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of
Electrical and Electronics Engineers, Inc and The Open Group. In the
event of any discrepancy between this version and the original IEEE and
The Open Group Standard, the original IEEE and The Open Group Standard
is the referee document. The original Standard can be obtained online at
http://www.opengroup.org/unix/online.html .
